1. Contacts
Highperformr API
  • Introduction
  • Contacts
    • Unified Data API - async contact enrichment
      POST
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get verified discovery contact filter schema
      GET
    • Get verified discovery company filter schema
      GET
    • Get options for field
      GET
    • Verified discovery autocomplete suggestions
      GET
    • Get discovery search options for field
      GET
    • Verified discovery static option lists
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
    • Find verified contacts
      POST
    • Find verified companies
      POST
  • Jobs
    • Get job status by id
      GET
  • Social publishing
    • Create draft post
      POST
    • List posts (drafts, scheduled, published)
      POST
    • Schedule or publish posts (bulk)
      POST
    • Schedule a LinkedIn comment on an external post
      POST
    • Configure cross-account auto-repost
      POST
    • Upload media file (multipart)
      POST
    • Assemble chunked uploads into one file
      POST
    • Import media from a public URL
      POST
  • Integrations (social)
    • List social integrations (filter)
  • Segments
    • Type-ahead search for segments
    • Create segment
    • Get segment by ID
    • Update segment
    • Delete segment
    • Clone segment
  • Sources
    • Bulk upsert sources
    • Bulk fetch sources
    • Bulk update sources
    • Create source
    • Pull contacts from source
    • Get source by ID
    • Update source
  • Credits
    • Get workspace credit balance
Login
  1. Contacts

Bulk fetch contacts by IDs

POST
/contacts/bulk-fetch
Load up to 100 contacts by their contact id (the same id returned in contact records and list APIs). Send at least one ID in contactIds. The API returns 400 if you send more than 100 IDs.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
List of contacts
Bodyapplication/json

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.highperformr.ai/api/contacts/bulk-fetch' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "contactIds": [
        "example"
    ]
}'
Response Response Example
200 - Success
{
    "data": [
        {
            "id": "cnt_7f3k9m2pqx",
            "firstName": "Jamie",
            "lastName": "Rivera",
            "fullName": "Jamie Rivera",
            "title": "Staff Software Engineer",
            "linkedIn": "https://www.linkedin.com/in/jamie-rivera-example",
            "emails": [
                "jamie.rivera@acme.io"
            ],
            "sources": [
                "src_csv_import_2025_01"
            ],
            "companies": [
                "cmp_4n8k2j1w"
            ],
            "primaryCompanyId": "cmp_4n8k2j1w",
            "company": {
                "id": "cmp_4n8k2j1w",
                "companyName": "Acme Analytics Inc",
                "companyWebsite": "https://www.acme.io",
                "companyIndustry": "Computer Software",
                "companyHeadcount": "201-500"
            },
            "createdAt": "2025-03-12T14:22:11.000Z",
            "updatedAt": "2025-04-08T09:01:44.000Z"
        }
    ]
}
Modified at 2026-04-22 07:54:17
Previous
Unified Data API - async contact enrichment
Next
Get contacts by segment
Built with